Bug 212792 - www/tdiary: update to 5.0.5
Summary: www/tdiary: update to 5.0.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Richard Gallamore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-18 12:24 UTC by Yasuhiro KIMURA
Modified: 2017-07-10 19:23 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (tota)


Attachments
update to 5.0.1 (10.15 KB, patch)
2016-09-18 12:24 UTC, Yasuhiro KIMURA
no flags Details | Diff
updated patch file (11.33 KB, patch)
2017-06-30 00:32 UTC, Yasuhiro KIMURA
no flags Details | Diff
updated patch file (12.48 KB, patch)
2017-07-01 00:47 UTC, Yasuhiro KIMURA
no flags Details | Diff
updated patch file (13.03 KB, patch)
2017-07-08 04:15 UTC, Yasuhiro KIMURA
no flags Details | Diff
updated patch file (12.58 KB, patch)
2017-07-08 13:27 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2016-09-18 12:24:24 UTC
Created attachment 174907 [details]
update to 5.0.1

Update to 5.0.1.

Please commit bug #212791 before commiting this PR.
Comment 1 Yasuhiro KIMURA 2017-06-30 00:32:57 UTC
Created attachment 183932 [details]
updated patch file

Newer version 5.0.5 is released. So please commit updated patch instead of original one.
Comment 2 Yasuhiro KIMURA 2017-06-30 05:44:09 UTC
Hellow Takatsu-san,

Would you please commit this PR?

Best regards.
Comment 3 Yasuhiro KIMURA 2017-07-01 00:47:37 UTC
Created attachment 183972 [details]
updated patch file

Oops, I forgot to add new patch file. So please commit updated patch instead of previous ones.

Regards.
Comment 4 Yasuhiro KIMURA 2017-07-08 04:15:30 UTC
Created attachment 184164 [details]
updated patch file

* Take over maintainership because there is no response from current maintainer.
* Update pkg-descr

So please commit attached patch instead of previous ones.
Comment 5 Richard Gallamore freebsd_committer 2017-07-08 05:02:00 UTC
Hello Yasuhiro, thank you for your contributions and willingness to keep the port alive. This PR certainly qualify for maintianer timeout and maintainer change for the length of time it has been. Before I can commit this however, there are a few items that will need to be fixed.

The MASTER_SITES change is to github, this should not be defined as such for github we instead use USE_GITHUB= yes with GH_* related variables required.

Unless portlint is complaining about it, or it is failing to patch, files/patch-lib_tdiary_io_plugin__pstore.rb and files/patch-lib_tdiary_request.rb should not be added to the patchfile.

The other two patchfiles in the diff, files/patch-misc_convert2.rb, and files/patch-misc_migrate.rb, this is not the correct way to fix shebangs. Instead, the shebangfix should be added to USES with the necessary vars it requires.
Comment 6 Richard Gallamore freebsd_committer 2017-07-08 05:06:09 UTC
One more thing, #!/usr/bin/env ruby should work perfectly fine. Omitting this completely would be best.
Comment 7 Yasuhiro KIMURA 2017-07-08 13:10:32 UTC
(In reply to Richard Gallamore from comment #5)

> The MASTER_SITES change is to github, this should not be defined as such for github we instead use USE_GITHUB= yes with GH_* related variables required.

USE_GITHUB is convinient but it is not good idea to use it with this port.
Because content of source archive (tdiary-full-v5.0.5.tar.gz) is not simple checkout of one GitHub repository, but the result of following 3 steps:

1. Checkout https://github.com/tdiary/tdiary-core.git
2. Checkout https://github.com/tdiary/tdiary-theme.git and put everything into 'theme' sub-directory of step 1.
3. Genarate doc/*.html from doc/*.md by using Markdown-to-HTML converter.

So if I use USE_GITHUB in this port,

* I need to use complex way described in "5.4.3.1. Fetching Multiple Files from GitHub" of Porter's Handbook.
* Markdown-to-HTML converter have to be added to BUILD_DEPEND.

I prefer simple way so adopt downloading one ready-made archive and extracting it.

> Unless portlint is complaining about it, or it is failing to patch, files/patch-lib_tdiary_io_plugin__pstore.rb and files/patch-lib_tdiary_request.rb should not be added to the patchfile

files/patch-lib_tdiary_io_plugin__pstore.rb is changed as the result of 'make makepatch' so I'll revert it. Update of files/patch-lib_tdiary_request.rb is necessary because it solves patching failure.

> The other two patchfiles in the diff, files/patch-misc_convert2.rb, and files/patch-misc_migrate.rb, this is not the correct way to fix shebangs. Instead, the shebangfix should be added to USES with the necessary vars it requires.

OK, I'll remove these 2 patches and switch to use sebangfix.
Comment 8 Yasuhiro KIMURA 2017-07-08 13:14:09 UTC
(In reply to Richard Gallamore from comment #6)

> One more thing, #!/usr/bin/env ruby should work perfectly fine. Omitting this completely would be best.

It doesn't work if ruby is not installed in directories defined in system default $PATH value. So I prefer to replace it with "#!/usr/local/bin/ruby'.
Comment 9 Yasuhiro KIMURA 2017-07-08 13:27:21 UTC
Created attachment 184180 [details]
updated patch file

Patch is changed to reflect comment #5, comment #6, comment #7 and comment #8. So please commit updated patch instead of previous ones.
Comment 10 commit-hook freebsd_committer 2017-07-10 17:35:23 UTC
A commit references this bug:

Author: ultima
Date: Mon Jul 10 17:35:16 UTC 2017
New revision: 445445
URL: https://svnweb.freebsd.org/changeset/ports/445445

Log:
  * Updated to 5.0.5
  * Maintainer change tota --> Yasuhiro KIMURA <yasu@utahime.org> (maintainer timout 10 months)
  * Moved Uses and USE_*(13.1.7) to start the section [1]

  This port is not using USE_GITHUB due to increased complexity consisting of more sources and markdown to html converting. For a more details explanation, please check PR212792[2] or the differential.

  Changelog:	https://github.com/tdiary/tdiary-core/releases/tag/v5.0.5

  [1] https://www.freebsd.org/doc/en/books/porters-handbook/porting-samplem.html#porting-samplem-order
  [2] https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=212792

  PR:		212792
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Reviewed by:	lifanov (mentor), matthew (mentor)
  Approved by:	lifanov (mentor), matthew (mentor), maintainer timeout (10 months)
  Differential Revision:	https://reviews.freebsd.org/D11540

Changes:
  head/www/tdiary/Makefile
  head/www/tdiary/distinfo
  head/www/tdiary/files/patch-Gemfile
  head/www/tdiary/files/patch-lib_tdiary_request.rb
  head/www/tdiary/files/patch-misc_convert2.rb
  head/www/tdiary/files/patch-misc_migrate.rb
  head/www/tdiary/pkg-descr
  head/www/tdiary/pkg-plist
Comment 11 Richard Gallamore freebsd_committer 2017-07-10 17:38:22 UTC
Committed, thanks!  Sorry it took so long to be checked in.
Comment 12 Yasuhiro KIMURA 2017-07-10 18:12:22 UTC
(In reply to Richard Gallamore from comment #11)

Thank you for committing. But files/patch-Gemfile seems to be forgot.
Would you please commit it too?

Best regards.
Comment 13 Richard Gallamore freebsd_committer 2017-07-10 18:40:10 UTC
(In reply to Yasuhiro KIMURA from comment #12)
Can you please explain? The commit shows it was added.

Added: head/www/tdiary/files/patch-Gemfile
==============================================================================
--- /dev/null   00:00:00 1970   (empty, because file is newly added)
+++ head/www/tdiary/files/patch-Gemfile Mon Jul 10 17:35:15 2017        (r445445)
@@ -0,0 +1,38 @@
+--- Gemfile.orig       2017-06-29 08:19:50 UTC
++++ Gemfile
+@@ -6,35 +6,3 @@ gem 'fastimage'
+ gem 'emot'
+ gem 'mail'
+ gem 'rake'
+-
+-group :rack do
+-  gem 'sprockets'
+-end
+-
+-group :development do
+-  gem 'pit', require: false
+-  gem 'racksh', require: false
+-  gem 'redcarpet'
+-  gem 'octokit'
+-
+-  group :test do
+-    gem 'pry-byebug', platforms: [:ruby_21, :ruby_22, :ruby_23, :ruby_24]
+-    gem 'test-unit'
+-    gem 'rspec'
+-    gem 'capybara', require: 'capybara/rspec'
+-    gem 'selenium-webdriver'
+-    gem 'launchy'
+-    gem 'sequel'
+-    gem 'sqlite3'
+-    gem 'jasmine'
+-    gem 'simplecov', require: false
+-    gem 'coveralls', '~> 0.7.12', require: false
+-  end
+-end
+-
+-# https://github.com/redmine/redmine/blob/master/Gemfile#L89
+-local_gemfile = File.join(File.dirname(__FILE__), "Gemfile.local")
+-if File.exist?(local_gemfile)
+-  puts "Loading Gemfile.local ..." if $DEBUG # `ruby -d` or `bundle -v`
+-  instance_eval File.read(local_gemfile)
+-end
Comment 14 Yasuhiro KIMURA 2017-07-10 18:51:41 UTC
(In reply to Richard Gallamore from comment #13)

I tried 'svn update' again and files/patch-Gemfile has come to port tree.
It's strange. What happened? But anyway there seems to be no problem.
Sorry for annoying you.
Comment 15 Richard Gallamore freebsd_committer 2017-07-10 19:23:55 UTC
(In reply to Yasuhiro KIMURA from comment #14)
Strange indeed. No clue why it would have had a file missing, don't know the internals of subversion.